# Uses of Interface
net.shibboleth.idp.attribute.transcoding.AttributeTranscoderRegistry.NamingFunction

Packages that use AttributeTranscoderRegistry.NamingFunction
Package
Description
net.shibboleth.idp.attribute.transcoding
APIs for transcoding of attributes.
net.shibboleth.idp.attribute.transcoding.impl
Implementation classes for attribute transcoding.

## Uses of AttributeTranscoderRegistry.NamingFunction in net.shibboleth.idp.attribute.transcoding

Classes in net.shibboleth.idp.attribute.transcoding that implement AttributeTranscoderRegistry.NamingFunction
Modifier and Type
Class
Description
`class`
`BasicNamingFunction<T>`
Basic implementation of a `AttributeTranscoderRegistry.NamingFunction`.

## Uses of AttributeTranscoderRegistry.NamingFunction in net.shibboleth.idp.attribute.transcoding.impl

Fields in net.shibboleth.idp.attribute.transcoding.impl with type parameters of type AttributeTranscoderRegistry.NamingFunction
Modifier and Type
Field
Description
`private Collection<AttributeTranscoderRegistry.NamingFunction<?>>`
AttributeRegistryServiceStrategy.`namingRegistry`
Name of bean to supply naming function registry property.
Method parameters in net.shibboleth.idp.attribute.transcoding.impl with type arguments of type AttributeTranscoderRegistry.NamingFunction
Modifier and Type
Method
Description
`void`
AttributeRegistryServiceStrategy.`setNamingRegistry(Collection<AttributeTranscoderRegistry.NamingFunction<?>> namingFunctions)`
Sets the collection of `AttributeTranscoderRegistry.NamingFunction`s to install into the registry.
`void`
AttributeTranscoderRegistryImpl.`setNamingRegistry(Collection<AttributeTranscoderRegistry.NamingFunction<?>> registry)`
Installs registry of naming functions mapped against the types of objects they support.